commonmark-extensions-0.2.5.4: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.DefinitionList

# Documentation

definitionListSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, Typeable il, Typeable bl, HasDefinitionList il bl) => SyntaxSpec m il bl #

class IsBlock il bl => HasDefinitionList il bl | il -> bl where #

Methods

definitionList :: ListSpacing -> [(il, [bl])] -> bl #

#### Instances

Instances details

Rangeable (Html a) => HasDefinitionList (Html a) (Html a) # |
Instance details Defined in Commonmark.Extensions.DefinitionList Methods definitionList :: ListSpacing -> [(Html a, [Html a])] -> Html a #
(HasDefinitionList il bl, Semigroup bl, Semigroup il) => HasDefinitionList (WithSourceMap il) (WithSourceMap bl) # |
Instance details Defined in Commonmark.Extensions.DefinitionList Methods definitionList :: ListSpacing -> [(WithSourceMap il, [WithSourceMap bl])] -> WithSourceMap bl #